Received: from mnm [127.0.0.1]
	by localhost with POP3 (fetchmail-5.9.0)
	for akpm@localhost (single-drop); Wed, 16 Apr 2003 17:51:52 -0700 (PDT)
Received: by mangalore (mbox akpm)
 (with Cubic Circle's cucipop (v1.31 1998/05/13) Thu Apr 17 10:51:22 2003)
X-From_: linux-kernel-owner+akpm=40zip.com.au@vger.kernel.org  Thu Apr 17 10:51:03 2003
Return-Path: <linux-kernel-owner+akpm=40zip.com.au@vger.kernel.org>
Received: from vger.kernel.org (vger.kernel.org [209.116.70.75])
	by mangalore.zipworld.com.au (8.12.3/8.12.3) with ESMTP id h3H0p1el006941
	for <akpm@zip.com.au>; Thu, 17 Apr 2003 10:51:02 +1000
Received: (majordomo@vger.kernel.org) by vger.kernel.org via listexpand
	id S261968AbTDQAgv (ORCPT <rfc822;akpm@zip.com.au>);
	Wed, 16 Apr 2003 20:36:51 -0400
Received: (majordomo@vger.kernel.org) by vger.kernel.org id S261977AbTDQAgv
	(ORCPT <rfc822;linux-kernel-outgoing>);
	Wed, 16 Apr 2003 20:36:51 -0400
Received: from smtp-out.comcast.net ([24.153.64.115]:59437 "EHLO
	smtp-out.comcast.net") by vger.kernel.org with ESMTP
	id S261968AbTDQAgu (ORCPT <rfc822;linux-kernel@vger.kernel.org>);
	Wed, 16 Apr 2003 20:36:50 -0400
Received: from CC210265-A.strhg1.mi.home.com
 (pcp01105621pcs.clntn201.mi.comcast.net [68.61.227.91])
 by mtaout09.icomcast.net
 (iPlanet Messaging Server 5.2 HotFix 1.14 (built Mar 18 2003))
 with SMTP id <0HDG00GHJPW4DD@mtaout09.icomcast.net> for
 linux-kernel@vger.kernel.org; Wed, 16 Apr 2003 20:40:52 -0400 (EDT)
Received: from [68.61.227.91] (unverified [68.61.227.91])
 by CC210265-A.strhg1.mi.home.com (EMWAC SMTPRS 0.83)
 with SMTP id <B0000083259@CC210265-A.strhg1.mi.home.com>; Wed,
 16 Apr 2003 20:42:04 -0400
Date: Wed, 16 Apr 2003 20:42:04 -0400
From: Chris Heath <chris@heathens.co.nz>
Subject: [PATCH][2.5] keyboard.c Fix SAK in raw mode
To: linux-kernel@vger.kernel.org
Message-id: <20030416191012.0331.CHRIS@heathens.co.nz>
MIME-version: 1.0
X-Mailer: Becky! ver. 2.05.10
Content-type: text/plain; charset=US-ASCII
Content-transfer-encoding: 7BIT
X-Antirelay: Good relay from local net2 68.61.227.91/32
Sender: linux-kernel-owner@vger.kernel.org
Precedence: bulk
X-Mailing-List: linux-kernel@vger.kernel.org
X-Spam-Status: No, hits=-5.0 required=6.0
	tests=UNIFIED_PATCH
	version=2.31
X-Spam-Level: 

Trivial fix to get the SAK key working in raw and medium raw modes. 
Patch is against kernel 2.5.67.

Chris



--- a/drivers/char/keyboard.c	2003-04-12 09:50:18.000000000 -0400
+++ b/drivers/char/keyboard.c	2003-04-13 20:52:42.000000000 -0400
@@ -601,7 +601,7 @@
 		return;
 	if ((kbd->kbdmode == VC_RAW || 
 	     kbd->kbdmode == VC_MEDIUMRAW) && 
-	     value != K_SAK)
+	     value != KVAL(K_SAK))
 		return;		/* SAK is allowed even in raw mode */
 	fn_handler[value](vc, regs);
 }


-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/
